import { createApp } from 'vue'
// import CSS global
import './assets/style.css'
// import app vue racine
import App from './App.vue'
// import composants
import MainContent from './components/MainContent.vue'
import ExtraContent from './components/ExtraContent.vue'
import GeneratedContent from './components/GeneratedContent.vue'
import ContactPannel from './components/ContactPannel.vue'
import AboutPannel from './components/AboutPannel.vue'
import LinkPannel from './components/LinkPannel.vue'
import WelcomePannel from './components/WelcomePannel.vue'

// création app racine
const app = createApp(App);

//Composants
app.component('mainDiv',MainContent);
app.component('extraDiv',ExtraContent);
app.component('generatorDiv',GeneratedContent);
app.component('contactDiv',ContactPannel);
app.component('aboutDiv',AboutPannel);
app.component('linkDiv',LinkPannel);
app.component('welcomeDiv',WelcomePannel);


//Démarrage dans div#app de index.html
app.mount('#app');
